# libcaosdb

This is libcaosdb - the CaosDB client library.

## Build

We use [cmake](https://cmake.org) as build tool.

1. `cmake -B build`
2. `cd build`
3. `cmake --build .`

## Unit Tests

### Run

Build tests as described above. In the build directory, run `ctest`

### Framework

We use [cmocka](https://cmocka.org) for unit testing

### Coverage

* We use gcov and lcov for generating test coverage reports.

## Code Formatting

* `clang-format -i --verbose **/*.c **/*.h`
